/***************************
 * Definition of constants *
 ***************************/

#include<stdio.h> /* defines NULL and stderr */

/* Maximum number of edges in a graph */
/* Actually since an edge array representation must end with
 * a NULL, we can only have MAX_EDGE-1 edges. */
#define MAX_EDGE 50001

/* Maximum number of vertices in a graph */
#define MAX_VERTEX 10000

/***********************
 * edge data structure * 
 ***********************/

typedef struct edg {
  long from;		/* "from" vertex */
  long to;		/* "to" vertex */
  long weight;		/* weight of vertex */
} edge;


/*******************************
 * Utility functions in test.c *
 *******************************/

extern long el_copy();
extern void graph_copy();
extern void edge_swap();
extern void graph_edge_swap();
extern long edge_equal();
extern void edge_copy();
extern long in_graph();
extern void print_el();
extern void error();

/*******************
 * DEBUGGING TOOLS *
 *******************/

/* Set to 1 and use in conditional clauses when you want to debug. */

#define DEBUG 1
